#ifndef YAREC_H
#define YAREC_H
/*
    This file is part of the 'yarec' package.
    Copyright (C) 1998  The Free Software Foundation

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* `gettext (FOO)' is long to write, so we use `_(FOO)'.  If NLS is
   unavailable, _(STRING) simply returns STRING.  */
#ifdef HAVE_NLS
# define _(string) gettext (string)
# ifdef HAVE_LIBINTL_H
#  include <libintl.h>
# endif /* HAVE_LIBINTL_H */
#else  /* not HAVE_NLS */
# define _(string) string
#endif /* not HAVE_NLS */

#ifndef _ALLOCA_H
/* AIX requires this to be the first thing in the file.  */
#ifdef __GNUC__
# define alloca __builtin_alloca
#else
# if HAVE_ALLOCA_H
#  include <alloca.h>
# else
#  ifdef _AIX
 #pragma alloca
#  else
#   ifndef alloca /* predefined by HP cc +Olibcalls */
char *alloca ();
#   endif
#  endif
# endif
#endif
#endif

#ifdef HAVE_ASSERT_H
# include <assert.h>
#else
# define assert(X)
#endif

#ifndef inline
#define inline
#endif

#ifdef UI_GTK
#define X_WILL_BE_LINKED
#endif

typedef unsigned char u8;
#if SIZEOF_UNSIGNED_SHORT == 2
typedef unsigned short u16;
#else
#if SIZEOF_UNSIGNED_INT == 2
typedef unsigned int u16;
#endif
#endif
#if SIZEOF_UNSIGNED_INT == 4
typedef unsigned int u32;
typedef int s32;
#else
#if SIZEOF_UNSIGNED_LONG == 4
typedef unsigned long u32;
typedef long s32;
#endif
#endif


#endif /* YAREC_H */
